#include "Point2df.h"
 float Point2df::getX() const
{
    return x;
}
float Point2df::getY() const
{
    return y;
}

//utility functions
// Normalize vector
Point2df normalize(const Point2df& v) {
	const double m = v.length2();
	Point2df result(v);
	if (0.0 < m) { result /=sqrt(m); }
	return result;
}

Point2df perp(const Point2df &v)
{
	Point2df result(-v.y, v.x);
	return result;
}
// Linearly interpolate
Point2df lerp(const Point2df& u, const Point2df& v, float f) {
	return Point2df(u.x + (v.x - u.x)*f, u.y + (v.y - u.y)*f);
}
